/**
 * Core API v1 (OpenAPI: 3.0.1)
 * 
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import { FloorPlanRequest } from "./floorPlanRequest";

export class CreateFloorPlanRequest {
    public mainRequest: FloorPlanRequest;

    public image: string;

    public name: string;

    public zoneInfo: object;

    public height: number;

    public width: number;

    /**
     * Creates a CreateFloorPlanRequest.
     *
     * @param {FloorPlanRequest} mainRequest
     * @param {string} image
     * @param {string} name
     * @param {object} zoneInfo
     * @param {number} height
     * @param {number} width
     */
    constructor(mainRequest: FloorPlanRequest, image: string, name: string, zoneInfo: object, height: number, width: number) {
        this.mainRequest = mainRequest;
        this.image = image;
        this.name = name;
        this.zoneInfo = zoneInfo;
        this.height = height;
        this.width = width;
    }
}